/*
 * Copyright 2014 MOPAS(Ministry of Public Administration and Security).
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 *      http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */
package kcg.faics.board.vo;

import kcg.faics.cmmn.bbs.BaseSearchVO;


/** 
 * BoardSearchVO.java
 * @author 임새미 
 * @since 2016. 10. 24.
 *
 *  	 수정일                     수정자                                       수정내용
 *  -------------	--------	---------------------------
 *  2016. 10. 24. 	    임새미				       최초생성
 * 
 */
public class BoardSearchVO extends BaseSearchVO {

	/** 테이블 이름 */
	private String id = "";
	
	/** 카테고리 이름 */
	private String category = " ";
	
	/** 카테고리 이름 */
	private String searchCondition = "";
    
	public BoardSearchVO() {
		super();
	}
    
    /**
	 * 게시판 아이디를 반환한다.
	 * @return 게시판 아이디 
	 */
    public String getId() {
		return id;
	}
    
    /**
	 * 게시판 아이디를 설정한다.
	 * @param id 를 설정한다.
	 */
	public void setId(String id) {
		this.id = id;
	}
    
	/**
	 * 카테고리 아이디를 반환한다.
	 * @return 게시판 아이디 
	 */
	public String getCategory() {
		return category;
	}
	
	/**
	 * 카테고리 아이디를 설정한다.
	 * @param id 를 설정한다.
	 */
	public void setCategory(String category) {
		if (category == null || category.equals("")) {
			category = " ";
		}
		this.category = category;
	}

	/**
	 * @return 검색 조건을 반환한다.
	 */
	public String getSearchCondition() {
		return searchCondition;
	}

	/**
	 * @param 검색 조건을 설정한다.
	 */
	public void setSearchCondition(String searchCondition) {
		this.searchCondition = searchCondition;
	}
	
}
 